<?php
error_reporting(0);
if (substr_count($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) ob_start("ob_gzhandler"); else ob_start();
session_start();  
include_once('../config/minho.php');
include_once('../config/autoloadClass.php');
$autoload		=	new autoloadClass(); 
$mecon			=	new condbClass();
$requestData	=	$_REQUEST; 
$columns = array(
	0	=>	'Id', 
	1	=>	'CompanyName',  
	2	=>	'Type',
	3	=>	'TIN' 
);  

$mainQuery 		= "SELECT Id, CompanyName, Type, TIN FROM tin ";
$sql			=	$mainQuery."  WHERE Status = 'active' ";
if(!empty($requestData['search']['value']) ) { 
	$arr = explode(" ",$requestData['search']['value']);  
	foreach($arr as $ind){
		$ind = str_replace(',','',$ind);
		$sql.=" AND (CompanyName LIKE '%".$ind."%' ";   
		$sql.=" OR TIN LIKE '%".$ind."%' ";      
		$sql.=" OR Type  LIKE '%".htmlentities($ind)."%' )";
	}
}


$mecon->query($sql);
$result			= $mecon->resultset(); 
$totalData		= count($result);
$totalFiltered	=	$totalData;
  
$sql.=" ORDER BY ".$columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']." LIMIT ".$requestData['start']." ,".$requestData['length']."   "; 


$mecon->query($sql);
$data = array();
$result = $mecon->resultset();

			 for($a=0; $a<count($result); $a++){
			 $nestedData=array();
				$nestedData[]	= '<a href="index.php?pg=settings&type=tin&action=edit&id='.$result[$a]['Id'].'"><span class="btn btn-xs btn-primary glyphicon glyphicon-pencil" title="Update Tin of Supplier"></span></a>&nbsp;<span class="btn btn-xs btn-danger glyphicon glyphicon-trash" title="Delete Tin of Supplier" onclick="deleteTransaction('.$result[$a]['Id'].')" ></span>';     
				$nestedData[] = (!empty($result[$a]['CompanyName'])) ? strtoupper(html_entity_decode(str_replace('&NTILDE;','&Ntilde;',$result[$a]['CompanyName']))) : "";  
				$nestedData[] = (!empty($result[$a]['Type'])) ? ucfirst($result[$a]['Type']) : ""; 
				$nestedData[] = (!empty($result[$a]['TIN']))  ? $result[$a]['TIN'] : "";  
 

				$data[] = $nestedData;
			} 
$json_data = array(
			"draw"            => intval( $requestData['draw'] ),
			"recordsTotal"    => intval( $totalData ),
			"recordsFiltered" => intval( $totalFiltered ),
			"data"            => $data
			);
			 
echo json_encode($json_data);
exit();
ob_end_flush();